# LogDoctor: Blacklist Struct Reference

Loading...
Searching...
No Matches
Blacklist Struct Referencefinal

## Public Member Functions

BlacklistItem & | get (const BlacklistField field)
| Returns a reference to the requested blacklist item.
bool | isUsed (const BlacklistField field)
| Returns whether the requested blacklist is in use.
void | setUsed (const BlacklistField field, const bool used)
| Sets the requested blacklist in the given in-use condition.

## Member Function Documentation

## get()

BlacklistItem & Blacklist::get | ( | const BlacklistField | field | ) |

Returns a reference to the requested blacklist item.

Exceptions

  DoNotCatchException |

## isUsed()

bool Blacklist::isUsed | ( | const BlacklistField | field | ) |

inline

Returns whether the requested blacklist is in use.

Exceptions

  DoNotCatchException |

## setUsed()

void Blacklist::setUsed | ( | const BlacklistField | field,
|  | const bool | used )

inline

Sets the requested blacklist in the given in-use condition.

Exceptions

  DoNotCatchException |

The documentation for this struct was generated from the following files:

- logdoctor/modules/blacklists/modules/blacklist.h
- logdoctor/modules/blacklists/modules/blacklist.cpp